CREATE FUNCTION MojaFunkcja() RETURNS trigger AS $znacznik$
    BEGIN
        IF NEW.kolumna IS NULL THEN
            RAISE EXCEPTION 'Wartość w kolumnie nie może być NULL';
        END IF;
        NEW.data_modyfikacji := CURRENT_TIMESTAMP;
        NEW.uzytkownik := CURRENT_USER;
        RETURN NEW;
    END;
$znacznik$ LANGUAGE plpgsql;

CREATE FUNCTION MAX(INTEGER, INTEGER) RETURNS INTEGER AS $moj_znacznik$
    SELECT CASE WHEN $1 > $2 THEN $1 ELSE $2 END
$moj_znacznik$ LANGUAGE SQL STRICT;

